libgphoto2 (libgphoto2): libgphoto2_port/libgphoto2_port/gphoto2-port-version.h Source File

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2-port-version.h

    00001 /* gphoto2-port-version.h
    00002  *
    00003  * Copyright © 2002 Hans Ulrich Niedermann <gp@n-dimensional.de>
    00004  *
    00005  * This library is free software; you can redistribute it and/or
    00006  * modify it under the terms of the GNU Lesser General Public
    00007  * License as published by the Free Software Foundation; either
    00008  * version 2 of the License, or (at your option) any later version.
    00009  *
    00010  * This library is distributed in the hope that it will be useful,
    00011  * but WITHOUT ANY WARRANTY; without even the implied warranty of
    00012  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    00013  * Lesser General Public License for more details.
    00014  *
    00015  * You should have received a copy of the GNU Lesser General Public
    00016  * License along with this library; if not, write to the
    00017  * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    00018  * Boston, MA 02111-1307, USA.
    00019  */
    00020
    00021 #ifndef __GPHOTO2_PORT_VERSION_H__
    00022 #define __GPHOTO2_PORT_VERSION_H__
    00023
    00024 typedef enum {
    00025   GP_VERSION_SHORT = 0,
    00026   GP_VERSION_VERBOSE = 1
    00027 } GPVersionVerbosity;
    00028
    00029
    00030 #ifdef __cplusplus
    00031 extern "C" {
    00032 #endif
    00033
    00034 typedef const char **(*GPVersionFunc)(GPVersionVerbosity verbose);
    00035 const char **gp_port_library_version(GPVersionVerbosity verbose);
    00036
    00037 #ifdef __cplusplus
    00038 }
    00039 #endif
    00040
    00041 #endif /* __GPHOTO2_PORT_VERSION_H__ */
    00042
    00043 /*
    00044  * Local Variables:
    00045  * c-file-style:"linux"
    00046  * indent-tabs-mode:t
    00047  * End:
    00048  */